<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:19 CEST 2020 -->
<title>Class Hierarchy</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/myclay/claysdk/api/package-tree.html">com.myclay.claysdk.api</a>, </li>
<li><a href="com/myclay/claysdk/api/error/package-tree.html">com.myclay.claysdk.api.error</a>, </li>
<li><a href="com/myclay/claysdk/internal/package-tree.html">com.myclay.claysdk.internal</a>, </li>
<li><a href="com/myclay/claysdk/internal/keystore/package-tree.html">com.myclay.claysdk.internal.keystore</a>, </li>
<li><a href="com/myclay/claysdk/internal/shared_preferences/package-tree.html">com.myclay.claysdk.internal.shared_preferences</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.myclay.claysdk.api.error.<a href="com/myclay/claysdk/api/error/ClayErrorMessage.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayErrorMessage</span></a></li>
<li type="circle">com.myclay.claysdk.api.error.<a href="com/myclay/claysdk/api/error/ClayException.ErrorCodes.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayException.ErrorCodes</span></a></li>
<li type="circle">com.myclay.claysdk.internal.keystore.<a href="com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" title="class in com.myclay.claysdk.internal.keystore"><span class="typeNameLink">ClayKeystoreWrapper</span></a> (implements com.myclay.claysdk.internal.keystore.<a href="com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a>)</li>
<li type="circle">com.myclay.claysdk.api.<a href="com/myclay/claysdk/api/ClaySDK.html" title="class in com.myclay.claysdk.api"><span class="typeNameLink">ClaySDK</span></a></li>
<li type="circle">com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/ClaySDK.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">ClaySDK</span></a> (implements com.myclay.claysdk.api.<a href="com/myclay/claysdk/api/IClaySDK.html" title="interface in com.myclay.claysdk.api">IClaySDK</a>)</li>
<li type="circle">com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/ClaySDKLog.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">ClaySDKLog</span></a></li>
<li type="circle">com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/ConstantsHolderClass.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">ConstantsHolderClass</span></a>
<ul>
<li type="circle">com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">Config</span></a></li>
<li type="circle">com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/Config.Keystore.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">Config.Keystore</span></a></li>
</ul>
</li>
<li type="circle">com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/DiscoveryCallback.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">DiscoveryCallback</span></a> (implements com.saltosystems.justinmobile.sdk.ble.IJustinBleResultAndDiscoverCallbacks)</li>
<li type="circle">com.myclay.claysdk.internal.shared_preferences.<a href="com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html" title="class in com.myclay.claysdk.internal.shared_preferences"><span class="typeNameLink">SDKSharedPreferences</span></a> (implements com.myclay.claysdk.internal.shared_preferences.<a href="com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences">ISharedPreferences</a>)</li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">com.myclay.claysdk.api.error.<a href="com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.myclay.claysdk.internal.keystore.<a href="com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore"><span class="typeNameLink">IClayKeystoreWrapper</span></a></li>
<li type="circle">com.myclay.claysdk.api.<a href="com/myclay/claysdk/api/IClaySDK.html" title="interface in com.myclay.claysdk.api"><span class="typeNameLink">IClaySDK</span></a></li>
<li type="circle">com.myclay.claysdk.api.<a href="com/myclay/claysdk/api/ILockDiscoveryCallback.html" title="interface in com.myclay.claysdk.api"><span class="typeNameLink">ILockDiscoveryCallback</span></a></li>
<li type="circle">com.myclay.claysdk.internal.shared_preferences.<a href="com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences"><span class="typeNameLink">ISharedPreferences</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.myclay.claysdk.api.error.<a href="com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error"><span class="typeNameLink">ClayErrorCode</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
